For AI agents: A markdown version of this page is available at https://docs.datadoghq.com/api/latest/webhooks-integration/get-all-auth-methods.md. A documentation index is available at /llms.txt.

Get all auth methods

GET https://api.ap1.datadoghq.com/api/v2/integration/webhooks/configuration/auth-methodhttps://api.ap2.datadoghq.com/api/v2/integration/webhooks/configuration/auth-methodhttps://api.datadoghq.eu/api/v2/integration/webhooks/configuration/auth-methodhttps://api.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-methodhttps://api.us2.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-methodhttps://api.uk1.datadoghq.com/api/v2/integration/webhooks/configuration/auth-methodhttps://api.datadoghq.com/api/v2/integration/webhooks/configuration/auth-methodhttps://api.us3.datadoghq.com/api/v2/integration/webhooks/configuration/auth-methodhttps://api.us5.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method

Overview

Get a list of all auth methods configured for the Webhooks integration in your organization. This endpoint requires the integrations_read permission.

Arguments

Query Strings

Name

Type

Description

include

enum

Comma-separated list of relationships to include in the response.
Allowed enum values: oauth2-client-credentials

Response

OK

Response containing a list of webhooks auth methods.

Expand All

Field

Type

Description

data [required]

[object]

An array of webhooks auth methods.

attributes [required]

object

Attributes of a webhooks auth method.

protocol

enum

Authentication protocol used by the auth method. Allowed enum values: oauth2-client-credentials

id [required]

string

The ID of the auth method.

relationships

object

Relationships of a webhooks auth method to its protocol-specific resource.

oauth2-client-credentials

object

Relationship pointing to the OAuth2 client credentials resource for this auth method.

data

object

Relationship data referencing an OAuth2 client credentials resource.

id

string

The ID of the OAuth2 client credentials resource.

type

enum

OAuth2 client credentials resource type. Allowed enum values: webhooks-auth-method-oauth2-client-credentials

default: webhooks-auth-method-oauth2-client-credentials

type [required]

enum

Webhooks auth method resource type. Allowed enum values: webhooks-auth-method

default: webhooks-auth-method

included

[object]

Resources related to the auth methods, included when requested via the include query parameter.

attributes [required]

object

OAuth2 client credentials attributes returned by the API. The client_secret is never echoed.

access_token_url

string

URL of the OAuth2 access token endpoint.

audience

string

The intended audience for the OAuth2 access token.

client_id

string

The OAuth2 client ID issued by the authorization server.

name

string

Human-readable name for this auth method.

protocol

enum

Authentication protocol used by the auth method. Allowed enum values: oauth2-client-credentials

scope

string

Space-separated list of OAuth2 scopes to request.

id [required]

string

The ID of the OAuth2 client credentials auth method.

type [required]

enum

OAuth2 client credentials resource type. Allowed enum values: webhooks-auth-method-oauth2-client-credentials

default: webhooks-auth-method-oauth2-client-credentials

{
  "data": [
    {
      "attributes": {
        "protocol": "oauth2-client-credentials"
      },
      "id": "596da4af-0563-4097-90ff-07230c3f9db3",
      "relationships": {
        "oauth2-client-credentials": {
          "data": {
            "id": "596da4af-0563-4097-90ff-07230c3f9db3",
            "type": "webhooks-auth-method-oauth2-client-credentials"
          }
        }
      },
      "type": "webhooks-auth-method"
    }
  ],
  "included": [
    {
      "attributes": {
        "access_token_url": "https://example.com/oauth/token",
        "audience": "https://api.example.com",
        "client_id": "my-client-id",
        "name": "my-oauth2-auth",
        "protocol": "oauth2-client-credentials",
        "scope": "read:webhooks write:webhooks"
      },
      "id": "596da4af-0563-4097-90ff-07230c3f9db3",
      "type": "webhooks-auth-method-oauth2-client-credentials"
    }
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"
"""
Get all auth methods returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.webhooks_integration_api import WebhooksIntegrationApi

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
with ApiClient(configuration) as api_client:
    api_instance = WebhooksIntegrationApi(api_client)
    response = api_instance.get_all_auth_methods()

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Get all auth methods returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
end
api_instance = DatadogAPIClient::V2::WebhooksIntegrationAPI.new
p api_instance.get_all_auth_methods()

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Get all auth methods returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewWebhooksIntegrationApi(apiClient)
	resp, r, err := api.GetAllAuthMethods(ctx, *datadogV2.NewGetAllAuthMethodsOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `WebhooksIntegrationApi.GetAllAuthMethods`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `WebhooksIntegrationApi.GetAllAuthMethods`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Get all auth methods returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.WebhooksIntegrationApi;
import com.datadog.api.client.v2.model.WebhooksAuthMethodsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    WebhooksIntegrationApi apiInstance = new WebhooksIntegrationApi(defaultClient);

    try {
      WebhooksAuthMethodsResponse result = apiInstance.getAllAuthMethods();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling WebhooksIntegrationApi#getAllAuthMethods");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Get all auth methods returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_webhooks_integration::GetAllAuthMethodsOptionalParams;
use datadog_api_client::datadogV2::api_webhooks_integration::WebhooksIntegrationAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = WebhooksIntegrationAPI::with_config(configuration);
    let resp = api
        .get_all_auth_methods(GetAllAuthMethodsOptionalParams::default())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Get all auth methods returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
const apiInstance = new v2.WebhooksIntegrationApi(configuration);

apiInstance
  .getAllAuthMethods()
  .then((data: v2.WebhooksAuthMethodsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"